Name:           python-turtlebeads
Version:        1.1.3
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Turtle-based graphics library for drawing various shapes centered on the cursor. Also adds printed descriptions of what is drawn, including for built-in turtle functions.

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://cs.wellesley.edu/~pmwh/turtleBeads/docs/turtleBeads
Source:         %{pypi_source turtlebeads}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'turtlebeads' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-turtlebeads
Summary:        %{summary}

%description -n python3-turtlebeads %_description


%prep
%autosetup -p1 -n turtlebeads-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-turtlebeads -f %{pyproject_files}


%changelog
%autochangelog